package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 班级
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("class_group")
public class ClassGroup extends Model<ClassGroup> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id_", type = IdType.AUTO)
    private Integer id;
    @TableField("music_group_id_")
    private Integer musicGroupId;
    /**
     * 科目列表（用逗号分隔）
     */
    @TableField("subject_id_list_")
    private String subjectIdList;
    /**
     * 班级名称
     */
    @TableField("name_")
    private String name;
    /**
     * 预计招生人数
     */
    @TableField("expect_student_num_")
    private Integer expectStudentNum;
    /**
     * 实际学生数
     */
    @TableField("student_num_")
    private Integer studentNum;
    @TableField("create_time_")
    private Date createTime;
    @TableField("update_time_")
    private Date updateTime;
    /**
     * 班级类型(普通班级、合奏班级、提高课班级、VIP班级、试听课)
     */
    @TableField("type_")
    private String type;
    /**
     * 班级状态()
     */
    @TableField("del_flag_")
    private String delFlag;
    /**
     * 教学形式（线上、线下）
     */
//    @TableField("teach_mode_")
//    private String teachMode;
    /**
     * 总课次
     */
    @TableField("total_class_times_")
    private Integer totalClassTimes;
    @TableField("current_class_times_")
    private Integer currentClassTimes;


    public Integer getId() {
        return id;
    }

    public ClassGroup setId(Integer id) {
        this.id = id;
        return this;
    }

    public Integer getMusicGroupId() {
        return musicGroupId;
    }

    public ClassGroup setMusicGroupId(Integer musicGroupId) {
        this.musicGroupId = musicGroupId;
        return this;
    }

    public String getSubjectIdList() {
        return subjectIdList;
    }

    public ClassGroup setSubjectIdList(String subjectIdList) {
        this.subjectIdList = subjectIdList;
        return this;
    }

    public String getName() {
        return name;
    }

    public ClassGroup setName(String name) {
        this.name = name;
        return this;
    }

    public Integer getExpectStudentNum() {
        return expectStudentNum;
    }

    public ClassGroup setExpectStudentNum(Integer expectStudentNum) {
        this.expectStudentNum = expectStudentNum;
        return this;
    }

    public Integer getStudentNum() {
        return studentNum;
    }

    public ClassGroup setStudentNum(Integer studentNum) {
        this.studentNum = studentNum;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public ClassGroup setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public ClassGroup setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public String getType() {
        return type;
    }

    public ClassGroup setType(String type) {
        this.type = type;
        return this;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public ClassGroup setDelFlag(String delFlag) {
        this.delFlag = delFlag;
        return this;
    }

//    public String getTeachMode() {
//        return teachMode;
//    }
//
//    public ClassGroup setTeachMode(String teachMode) {
//        this.teachMode = teachMode;
//        return this;
//    }

    public Integer getTotalClassTimes() {
        return totalClassTimes;
    }

    public ClassGroup setTotalClassTimes(Integer totalClassTimes) {
        this.totalClassTimes = totalClassTimes;
        return this;
    }

    public Integer getCurrentClassTimes() {
        return currentClassTimes;
    }

    public ClassGroup setCurrentClassTimes(Integer currentClassTimes) {
        this.currentClassTimes = currentClassTimes;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "ClassGroup{" +
        ", id=" + id +
        ", musicGroupId=" + musicGroupId +
        ", subjectIdList=" + subjectIdList +
        ", name=" + name +
        ", expectStudentNum=" + expectStudentNum +
        ", studentNum=" + studentNum +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", type=" + type +
        ", delFlag=" + delFlag +
        ", totalClassTimes=" + totalClassTimes +
        ", currentClassTimes=" + currentClassTimes +
        "}";
    }
}
